We just published a maintenance release for Hibernate Search: 5.11.3.Final. This release mainly upgrades Hibernate Search to the latest compatible Hibernate ORM and WilFly versions, and fixes a few bugs.

What’s new

  • Hibernate Search 5.11.3.Final is compatible with JDK13.

  • Hibernate Search’s WildFly feature packs now target WildFly 17.0.1. Note that these feature packs are not necessary if you simply use the version of Hibernate Search bundled with WildFly.

  • HSEARCH-3647: Fixed a bug causing @ContainedIn at least two level deep being ignored when using multi-tenancy. Thanks to Andrey Ustalakov for reporting this!

The other changes are mainly related to our build process.

For a full list of changes since the previous releases, please see the release notes.

How to get these releases

All details are available and up to date on the dedicated page on hibernate.org.

Feedback, issues, ideas?

To get in touch, use the following channels:


Back to top